提交 e66772ba 编写于 作者: N Nataraj Basappa 提交者: Toan Nguyen

Fix to check bash version before install (#28)

* Fix to check bash version before install

* Fix for non-zero exit status
上级 246d698e
......@@ -134,6 +134,5 @@ if ! type_exists '__git_ps1' ; then
fi
# Adding Support for other OSes
PREVIEW="less"
[ -s /usr/bin/gloobus-preview ] && PREVIEW="gloobus-preview"
[ -s /Applications/Preview.app ] && PREVIEW="/Applications/Preview.app"
[ -s /usr/bin/gloobus-preview ] && PREVIEW="gloobus-preview" ||
[ -s /Applications/Preview.app ] && PREVIEW="/Applications/Preview.app" || PREVIEW="less"
......@@ -26,6 +26,17 @@ main() {
# which may fail on systems lacking tput or terminfo
set -e
# Checks the minium version of bash (v4) installed,
# stops the installation if check fails
if [ -n $BASH_VERSION ]; then
bash_major_version=$(echo $BASH_VERSION | cut -d '.' -f 1)
if [ "${bash_major_version}" -lt "4" ]; then
printf "Error: Bash 4 required for Oh My Bash.\n"
printf "Error: Upgrade Bash and try again.\n"
exit 1
fi
fi
if [ ! -n "$OSH" ]; then
OSH=$HOME/.oh-my-bash
fi
......
Markdown is supported
0% .
You are about to add 0 people to the discussion. Proceed with caution.
先完成此消息的编辑!
想要评论请 注册